Bug 230474 - devel/gnome-builder depends on obsolete llvm/clang 3.5
Summary: devel/gnome-builder depends on obsolete llvm/clang 3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks: 230473
  Show dependency treegraph
 
Reported: 2018-08-08 22:15 UTC by Brooks Davis
Modified: 2018-10-01 08:37 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2018-08-08 22:15:46 UTC
I'd like to remove the ancient llvm and clang 3.5 ports, but the current gnome-builder depends on them.  Newer version of gnome-builder seem to support at least somewhat never llvm versions, but the documentation is a bit thin.  I've not tried doing an update as the build system has changed to CMake so the port will need some changes.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-08-10 22:43:29 UTC
(In reply to Brooks Davis from comment #0)

Also see https://wiki.freebsd.org/ObsoleteLLVMVersions .
Comment 2 Koop Mast freebsd_committer 2018-08-12 15:27:22 UTC
This problem will be resolved then the GNOME 3.28 update lands.
Comment 3 Ting-Wei Lan 2018-08-12 15:45:17 UTC
GNOME Builder doesn't really depend on a specific LLVM version, and the reason that both GNOME Builder and Meson have a hard-coded list of LLVM versions are that FreeBSD doesn't have an unversioned 'llvm-config' executable. I have sent patches to GNOME Builder upstream several times to expand the list, and all are done without any code changes.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2018-08-20 12:01:07 UTC
Right now it actually depends upon clang35:

./build/autotools/autoconf.d/pre-am.m4:m4_define(clang_major_required_version, 3)
./build/autotools/autoconf.d/pre-am.m4:m4_define(clang_minor_required_version, 5)

and it looks like it's easy to change these two values to test. But my gnome environment and gnome-builder itself are from gnome 3.26, so I can't test this 3.16 version reliable to change the clang/llvm dependency.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2018-10-01 08:37:14 UTC
It was switched to devel/llvm60 in r480951